from prometheus_client import Gauge
import pymongo


class DbScan:
    scheme = {}
    config = {}
    db = {}

    def __init__(self):
        pass

    @staticmethod
    def create_scheme(config):
        DbScan.db = pymongo.MongoClient(config['mongo_uri']).onlifebackend
        DbScan.config = config
        DbScan.scheme = Gauge('users', 'Users registered in the platform', ['count'])

    @staticmethod
    def get_data():
        print 'Db Scan'
        DbScan.scheme.labels(count='total').set(DbScan.db.users.find().count())
        DbScan.scheme.labels(count='internet').set(DbScan.db.users.find({"services.product":"ftth"}).count())
        DbScan.scheme.labels(count='captive').set(DbScan.db.users.find({"services.product": "captive"}).count())
        DbScan.scheme.labels(count='audio').set(DbScan.db.users.find({"services.product": "audio"}).count())
        DbScan.scheme.labels(count='video').set(DbScan.db.users.find({"services.product": "video"}).count())
